CRAN Package Check Results for Package hoardeR

Last updated on 2021-09-25 01:50:20 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.9.4-2 27.86 251.86 279.72 OK
r-devel-linux-x86_64-debian-gcc 0.9.4-2 24.56 192.20 216.76 OK
r-devel-linux-x86_64-fedora-clang 0.9.4-2 337.99 NOTE
r-devel-linux-x86_64-fedora-gcc 0.9.4-2 333.96 NOTE
r-devel-windows-x86_64 0.9.4-2 30.00 210.00 240.00 OK
r-devel-windows-x86_64-gcc10-UCRT 0.9.4-2 NOTE
r-patched-linux-x86_64 0.9.4-2 28.24 237.91 266.15 OK
r-patched-solaris-x86 0.9.4-2 431.80 NOTE
r-release-linux-x86_64 0.9.4-2 29.11 237.86 266.97 OK
r-release-macos-arm64 0.9.4-2 NOTE
r-release-macos-x86_64 0.9.4-2 ERROR
r-release-windows-ix86+x86_64 0.9.4-2 62.00 211.00 273.00 OK
r-oldrel-macos-x86_64 0.9.4-2 ERROR
r-oldrel-windows-ix86+x86_64 0.9.4-2 46.00 197.00 243.00 OK

Check Details

Version: 0.9.4-2
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘knitr’ ‘rmarkdown’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64-gcc10-UCRT, r-patched-solaris-x86, r-release-macos-arm64

Version: 0.9.4-2
Check: package dependencies
Result: ERROR
    Package required but not available: ‘bamsignals’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64